> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get FeatureLibraryItem by ID

GET https://{tenant_name}.benchling.com/api/v3/feature-library-item/{feature_library_item_id}

Get a single FeatureLibraryItem by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/feature-library-item/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `feature_library_item_id` (string, required) — ID of the FeatureLibraryItem.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

## Response

### 200

OK

- `__typename` (string, optional)
- `color` (string, optional) — The color of the annotations generated by the Feature Library Item. Must be a valid hex string
- `createdAt` (string, optional) — DateTime the Feature Library Item was created
- `featureLibrary` (FeatureLibraryRef, optional) — The Feature Library the Feature Library Item belongs to
- `featureType` (string, optional, nullable) — The type of the Feature Library Item, like gene, promoter, etc. Note: This is an arbitrary string, not an enum
- `id` (string, optional)
- `matchType` (enum, optional) — The match type of the Feature Library Item. Used to determine how auto-annotate matches are made
  - Allowed values: `NUCLEOTIDE`, `AA_SEQUENCE`
- `modifiedAt` (string, optional) — DateTime the Feature Library Item was last modified
- `name` (string, optional) — The name of the Feature Library Item
- `pattern` (string, optional) — The pattern used for matching during auto-annotation

## Errors

### 400 Feature Library Item Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Feature Library Item Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Feature Library Item Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Feature Library Item Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Feature Library Item Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### FeatureLibraryRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "color": "color",
  "createdAt": "createdAt",
  "featureLibrary": {
    "__typename": "__typename",
    "id": "id"
  },
  "featureType": "featureType",
  "id": "id",
  "matchType": "NUCLEOTIDE",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "pattern": "pattern"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/feature-library-item/feature_library_item_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/feature-library-item/feature_library_item_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```